# class IAXInfoElement | A single IAX2 Information Element. More...
Full name | `TelEngine::IAXInfoElement`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::RefObject [public ]
Inherited by | IAXInfoElementBinary, IAXInfoElementNumeric, IAXInfoElementString
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { textframe = 0x00, CALLED_NUMBER = 0x01, CALLING_NUMBER = 0x02, CALLING_ANI = 0x03, CALLING_NAME = 0x04, CALLED_CONTEXT = 0x05, USERNAME = 0x06, PASSWORD = 0x07, CAPABILITY = 0x08, FORMAT = 0x09, LANGUAGE = 0x0a, VERSION = 0x0b, ADSICPE = 0x0c, DNID = 0x0d, AUTHMETHODS = 0x0e, CHALLENGE = 0x0f, MD5_RESULT = 0x10, RSA_RESULT = 0x11, APPARENT_ADDR = 0x12, REFRESH = 0x13, DPSTATUS = 0x14, CALLNO = 0x15, CAUSE = 0x16, IAX_UNKNOWN = 0x17, MSGCOUNT = 0x18, AUTOANSWER = 0x19, MUSICONHOLD = 0x1a, TRANSFERID = 0x1b, RDNIS = 0x1c, PROVISIONING = 0x1d, AESPROVISIONING = 0x1e, DATETIME = 0x1f, DEVICETYPE = 0x20, SERVICEIDENT = 0x21, FIRMWAREVER = 0x22, FWBLOCKDESC = 0x23, FWBLOCKDATA = 0x24, PROVVER = 0x25, CALLINGPRES = 0x26, CALLINGTON = 0x27, CALLINGTNS = 0x28, SAMPLINGRATE = 0x29, CAUSECODE = 0x2a, ENCRYPTION = 0x2b, ENKEY = 0x2c, CODEC_PREFS = 0x2d, RR_JITTER = 0x2e, RR_LOSS = 0x2f, RR_PKTS = 0x30, RR_DELAY = 0x31, RR_DROPPED = 0x32, RR_OOO = 0x33, CALLTOKEN = 0x36, CAPABILITY2 = 0x37, FORMAT2 = 0x38, }

#### Public Methods

- inline IAXInfoElement (Type type)
- virtual ~IAXInfoElement ()
- inline Type type () const
- virtual void toBuffer (DataBlock& buf)
- virtual void toString (String& buf)

#### Public Static Methods

- static inline const char* ieText (u_int8_t ieCode)
- static inline const char* causeName (int code)
- static inline int causeCode (const char* name, int defVal = 0)

#### Public Members

- static const TokenDict s_causeName[]
- static const TokenDict s_typeOfNumber[]
- static const TokenDict s_presentation[]
- static const TokenDict s_screening[]

## Detailed Description

This class holds a single Information Element with no data

enum Type { textframe = 0x00, CALLED_NUMBER = 0x01, CALLING_NUMBER = 0x02, CALLING_ANI = 0x03, CALLING_NAME = 0x04, CALLED_CONTEXT = 0x05, USERNAME = 0x06, PASSWORD = 0x07, CAPABILITY = 0x08, FORMAT = 0x09, LANGUAGE = 0x0a, VERSION = 0x0b, ADSICPE = 0x0c, DNID = 0x0d, AUTHMETHODS = 0x0e, CHALLENGE = 0x0f, MD5_RESULT = 0x10, RSA_RESULT = 0x11, APPARENT_ADDR = 0x12, REFRESH = 0x13, DPSTATUS = 0x14, CALLNO = 0x15, CAUSE = 0x16, IAX_UNKNOWN = 0x17, MSGCOUNT = 0x18, AUTOANSWER = 0x19, MUSICONHOLD = 0x1a, TRANSFERID = 0x1b, RDNIS = 0x1c, PROVISIONING = 0x1d, AESPROVISIONING = 0x1e, DATETIME = 0x1f, DEVICETYPE = 0x20, SERVICEIDENT = 0x21, FIRMWAREVER = 0x22, FWBLOCKDESC = 0x23, FWBLOCKDATA = 0x24, PROVVER = 0x25, CALLINGPRES = 0x26, CALLINGTON = 0x27, CALLINGTNS = 0x28, SAMPLINGRATE = 0x29, CAUSECODE = 0x2a, ENCRYPTION = 0x2b, ENKEY = 0x2c, CODEC_PREFS = 0x2d, RR_JITTER = 0x2e, RR_LOSS = 0x2f, RR_PKTS = 0x30, RR_DELAY = 0x31, RR_DROPPED = 0x32, RR_OOO = 0x33, CALLTOKEN = 0x36, CAPABILITY2 = 0x37, FORMAT2 = 0x38, } | ### Type

Information Element enumeration types

inline IAXInfoElement (Type type) | ### IAXInfoElement

Constructor

Parameters:

type | Type of this IE

~IAXInfoElement () | ### ~IAXInfoElement

[virtual]

Destructor

inline Type type () | ### type

[const]

Get the type of this IE

Returns: Type of this IE

void toBuffer (DataBlock& buf) | ### toBuffer

[virtual]

Constructs a buffer containing this Information Element

Parameters:

buf | Destination buffer

void toString (String& buf) | ### toString

[virtual]

Add this element to a string

Parameters:

buf | Destination string

Reimplemented from GenObject.

inline const char* ieText (u_int8_t ieCode) | ### ieText

[static]

Get the text associated with an IE type value

Parameters:

ieCode | Numeric code of the IE

Returns: Pointer to the IE text or 0 if it doesn't exist

inline const char* causeName (int code) | ### causeName

[static]

Retrieve the cause name associated with a given code

Parameters:

code | Cause code

Returns: Cause name, 0 if not found

inline int causeCode (const char* name, int defVal = 0) | ### causeCode

[static]

Retrieve the cause code associated with a given name

Parameters:

name | Cause name
defVal | Default value to return if not found

Returns: Cause code

static const TokenDict s_causeName[] | ### s_causeName[]

static const TokenDict s_typeOfNumber[] | ### s_typeOfNumber[]

static const TokenDict s_presentation[] | ### s_presentation[]

static const TokenDict s_screening[] | ### s_screening[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.